import os

import mariadb
from dotenv import load_dotenv

from . import bot, cryptography, database


__all__ = ["bot", "cryptography", "database"]


def main() -> None:
    load_dotenv("./.env")
    con = mariadb.connect(
        os.getenv("DB_HOST"),
        os.getenv("DB_USER"),
        os.getenv("DB_PASS"),
        os.getenv("DB_NAME"),
    )
    database.prepare(con)
